futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Optimise.Simplify.Rules.BasicOp

Description

Some simplification rules for `BasicOp`.

Synopsis

- basicOpRules :: BuilderOps rep => RuleBook rep

# Documentation

basicOpRules :: BuilderOps rep => RuleBook rep Source #

A set of simplification rules for `BasicOp`s. Includes rules from Futhark.Optimise.Simplify.Rules.Simple.